Summary: A gtk+ client for the pbuttons daemon.
Name: pbbuttons-gtk
Version: 0.6.8
Release: 1
License: GPL
Group: System Environment/Daemons
Source0: http://osdn.dl.sourceforge.net/sourceforge/pbbuttons/gtkpbbuttons-0.6.8.tgz
Source1: pbbuttons.xinitrcd
Requires: pbbuttonsd >= 0.6.9, gtk2 >= 2.0, audiofile >= 0.2.3
ExclusiveArch: ppc
BuildRequires: pbbuttonsd >= 0.6.9, gtk2-devel >= 2.0
BuildRequires: audiofile-devel >= 0.2.3
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
The pbbuttons-gtk package provides gtk+ popups for monitoring
and changing brightness, speaker volume, and battery information
on modern Apple laptops.

%prep
%setup -q -n gtkpbbuttons-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/
%makeinstall
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/pbbuttons


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/gtkpbbuttons
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%dir %{_datadir}/gtkpbbuttons
%{_datadir}/gtkpbbuttons/*
%{_datadir}/locale/*
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Fri Mar 16 2007 Christopher Murtagh <cmurtagh@terrasoftsolutions.com> - 0.6.8-1
- rebuilt for YDL 5.0.1

* Thu Jul 21 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.8-1
- updated to release 0.6.8.

* Fri May  6 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.7-1
- updated to release 0.6.7.

* Fri Apr 15 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.6-1
- updated to release 0.6.6.

* Tue Feb  1 2005 Laurent Papier <papier[AT]tuxfan.net> - 0.6.5-1
- updated to 0.6.5.

* Sat Sep 11 2004 Laurent Papier <papier[AT]tuxfan.net> - 0.6.4-1
- updated to 0.6.4.
- set Crystal theme as default.

* Sat May 15 2004 Laurent Papier <papier[at]tuxfan.net> - 0.6.3-1
- updated to 0.6.3.
- cosmetic changes.

* Tue Mar  9 2004 Laurent Papier <papier[at]tuxfan.net> - 0.6.2-1
- updated to 0.6.2.
- set MacOSX theme as default.

* Sun Mar 09 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- update xinitrc script

* Wed Mar 05 2003 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.5.2

* Sat Mar 09 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.4.2a

* Wed Mar 06 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- updated to 0.4.2
- split off client 

* Tue Feb 13 2002 Dan Burcaw <dburcaw@terrasoftsolutions.com>
- initial package

